# To be put into Colocation.

# To use the serial console in iRMC, set up grub as follows:
# GRUB_TIMEOUT=30
# GRUB_CMDLINE_LINUX_DEFAULT="console=ttyS0,115200 console=tty0"
# GRUB_TERMINAL=serial
# GRUB_SERIAL_COMMAND="serial --speed=115200 --unit=0 --word=8 --parity=no --stop=1"

nodes['rx300'] = {
    'hostname': '31.47.232.106',
    'bundles': {
        'lm-sensors',
        'smartd',
        'vmhost',
        'zfs',
    },
    'groups': {
        'debian-buster',
    },
    'metadata': {
        'interfaces': {
            'br0': {
                'ips': {
                    '31.47.232.106/29',
                    '2a00:f820:528::2/64',
                },
                'gateway4': '31.47.232.105',
                'gateway6': '2a00:f820:528::1',
            },
        },
        'apt': {
            'packages': {
                'ipmitool': {},
            },
        },
        'backups': {
            'exclude_from_backups': True,
        },
        'smartd': {
            'disks': {
                '/dev/nvme0',
            },
        },
        'systemd-networkd': {
            'bridges': {
                'br0': {
                    'match': {
                        'eno1',
                    },
                },
            },
        },
        'users': {
            'kunsi': {
                'groups': {
                    'libvirt',
                },
            },
        },
        'zfs': {
            'module_options': {
                'zfs_arc_max_gb': 16,
            },
            'pools': {
                'tank': {
                    'raidz': {
                        '/dev/sda',
                        '/dev/sdb',
                        '/dev/sdc',
                        '/dev/sdd',
                    },
                },
            },
            'datasets': {
                'tank/libvirt': {
                    'mountpoint': '/var/lib/libvirt',
                    'compression': 'on',
                },
            },
        },
        'vm': {
            'cpu': 32,
            'ram': 256,
        },
    },
}
